package crypto

import (
	"fmt"
	"testing"
)

func TestAesEncrypt(t *testing.T) {
	var (
		buf    []byte
		err    error
		aesKey = []byte{0x02, 0x23, 0x56, 0x12, 0x12, 0x23, 0x36, 0x12, 0x15, 0x20, 0x51, 0x10, 0x42, 0x23, 0x36, 0x72}
	)
	if buf, err = AesEncrypt([]byte("asddasdasdasdasdasdas"), aesKey); err == nil {
		fmt.Println(string(buf))
		if buf, err = AesDecrypt(buf, aesKey); err == nil {
			fmt.Println(string(buf))
		}
	}
}
